> ## Documentation Index
> Fetch the complete documentation index at: https://voora.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Update event state (manual review/operations flow).



## OpenAPI

````yaml /api-reference/openapi.json patch /{eventId}/state
openapi: 3.0.4
info:
  title: Merchant Portal SendEvent API
  description: Endpoints for sending and querying event data.
  version: v1
servers:
  - url: https://live.voora.ai/event
security:
  - ClientApiKey: []
tags:
  - name: Event
paths:
  /{eventId}/state:
    patch:
      tags:
        - Event
      summary: Update event state (manual review/operations flow).
      parameters:
        - name: eventId
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateEventRequest'
          text/json:
            schema:
              $ref: '#/components/schemas/UpdateEventRequest'
          application/*+json:
            schema:
              $ref: '#/components/schemas/UpdateEventRequest'
      responses:
        '200':
          description: OK
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '422':
          description: Unprocessable Content
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '503':
          description: Service Unavailable
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '504':
          description: Gateway Timeout
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    UpdateEventRequest:
      type: object
      properties:
        state:
          type: string
          description: New state to apply to the event.
          nullable: true
        stateEnum:
          $ref: '#/components/schemas/ActionType'
        comments:
          type: string
          nullable: true
      additionalProperties: false
      description: Request payload used to update the state of an existing event.
    ErrorResponse:
      type: object
      properties:
        requestId:
          type: string
          nullable: true
        errorType:
          type: string
          nullable: true
        errorCodes:
          type: array
          items:
            type: string
          nullable: true
      additionalProperties: false
    ActionType:
      enum:
        - Approve
        - Review
        - Decline
      type: string
  securitySchemes:
    ClientApiKey:
      type: apiKey
      description: 'API key required in header: X-CLIENT-API-KEY'
      name: X-CLIENT-API-KEY
      in: header

````